Loading...
Searching...
No Matches
singleton.hh File Reference

Useful wrapper for creating singletons. More...

`#include <dune/common/visibility.hh>`

Go to the source code of this file.

## Classes

class | Dune::Singleton< T >
| An adapter to turn a class into a singleton. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Useful wrapper for creating singletons.

Inspired by the article CodeGuru: A Leak-Free Singleton class